Bug 965283 - (CVE-2015-8806) VUL-1: CVE-2015-8806: libxml2: Heap-buffer overread in libxml2/dict.c on fuzzed html input
(CVE-2015-8806)
VUL-1: CVE-2015-8806: libxml2: Heap-buffer overread in libxml2/dict.c on fuzz...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/161560/
CVSSv2:RedHat:CVE-2015-8806:4.3:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 09:37 UTC by Alexander Bergmann
Modified: 2016-09-01 12:19 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Test file (bogus html) (32 bytes, text/html)
2016-06-07 09:53 UTC, Alexander Bergmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2016-02-05 09:37:45 UTC
https://bugzilla.gnome.org/show_bug.cgi?id=749115

A heap-buffer overread was found in libxml2/dict.c.

Test case:
#> wget http://jutaky.com/fuzzing/gnumeric_case_24050_1738.html
#> valgrind xmllint --html gnumeric_case_24050_1738.html
==10334== Memcheck, a memory error detector
==10334== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==10334== Using Valgrind-3.10.1 and LibVEX; rerun with -h for copyright info
==10334== Command: xmllint --html gnumeric_case_24050_1738.html
==10334== 
==10334== Invalid read of size 1
==10334==    at 0x517D795: ??? (in /usr/lib64/libxml2.so.2.9.1)
==10334==    by 0x517E38A: xmlDictLookup (in /usr/lib64/libxml2.so.2.9.1)
==10334==    by 0x50F5089: ??? (in /usr/lib64/libxml2.so.2.9.1)
...

References:
https://bugzilla.gnome.org/show_bug.cgi?id=749115
https://bugzilla.redhat.com/show_bug.cgi?id=1304636
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-8806
http://seclists.org/oss-sec/2016/q1/277
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8806
Comment 1 Swamp Workflow Management 2016-02-05 23:00:26 UTC
bugbot adjusting priority
Comment 6 Alexander Bergmann 2016-06-07 09:53:01 UTC
Created attachment 679841 [details]
foo.c

Small test program

(https://bugzilla.gnome.org/show_bug.cgi?id=749115#c1)
Comment 7 Alexander Bergmann 2016-06-07 09:53:59 UTC
Created attachment 679843 [details]
Test file (bogus html)

A copy of the fuzzed html file.

(https://bugzilla.gnome.org/show_bug.cgi?id=749115#c3)
Comment 8 Swamp Workflow Management 2016-06-09 16:08:18 UTC
SUSE-SU-2016:1538-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 963963,965283,978395,981040,981041,981108,981109,981111,981112,981114,981115,981548,981549,981550
CVE References: CVE-2015-8806,CVE-2016-1762,CVE-2016-1833,CVE-2016-1834,CVE-2016-1835,CVE-2016-1837,CVE-2016-1838,CVE-2016-1839,CVE-2016-1840,CVE-2016-2073,CVE-2016-3705,CVE-2016-4447,CVE-2016-4448,CVE-2016-4449,CVE-2016-4483
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    libxml2-2.9.1-24.1
SUSE Linux Enterprise Software Development Kit 12 (src):    libxml2-2.9.1-24.1
SUSE Linux Enterprise Server 12-SP1 (src):    libxml2-2.9.1-24.1, python-libxml2-2.9.1-24.1
SUSE Linux Enterprise Server 12 (src):    libxml2-2.9.1-24.1, python-libxml2-2.9.1-24.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    libxml2-2.9.1-24.1, python-libxml2-2.9.1-24.1
SUSE Linux Enterprise Desktop 12 (src):    libxml2-2.9.1-24.1, python-libxml2-2.9.1-24.1
Comment 9 Swamp Workflow Management 2016-06-16 11:11:09 UTC
openSUSE-SU-2016:1595-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 963963,965283,978395,981040,981041,981108,981109,981111,981112,981114,981115,981548,981549,981550
CVE References: CVE-2015-8806,CVE-2016-1762,CVE-2016-1833,CVE-2016-1834,CVE-2016-1835,CVE-2016-1837,CVE-2016-1838,CVE-2016-1839,CVE-2016-1840,CVE-2016-2073,CVE-2016-3705,CVE-2016-4447,CVE-2016-4448,CVE-2016-4449,CVE-2016-4483
Sources used:
openSUSE Leap 42.1 (src):    libxml2-2.9.1-19.1, python-libxml2-2.9.1-19.1
Comment 10 Swamp Workflow Management 2016-06-17 13:08:48 UTC
SUSE-SU-2016:1604-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 963963,965283,978395,981040,981041,981108,981109,981111,981112,981114,981115,981548,981549,981550
CVE References: CVE-2015-8806,CVE-2016-1762,CVE-2016-1833,CVE-2016-1834,CVE-2016-1835,CVE-2016-1837,CVE-2016-1838,CVE-2016-1839,CVE-2016-1840,CVE-2016-2073,CVE-2016-3705,CVE-2016-4447,CVE-2016-4448,CVE-2016-4449,CVE-2016-4483
Sources used:
SUSE OpenStack Cloud 5 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Manager Proxy 2.1 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Manager 2.1 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    libxml2-2.7.6-0.44.1
SUSE Linux Enterprise Server 11-SP4 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Server 11-SP2-LTSS (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
SUSE Linux Enterprise Debuginfo 11-SP2 (src):    libxml2-2.7.6-0.44.1, libxml2-python-2.7.6-0.44.4
Comment 11 Marcus Meissner 2016-08-01 09:15:58 UTC
all released